net.snowflake.client.pooling

## Class SnowflakeConnectionPoolDataSource

- java.lang.Object
- - net.snowflake.client.jdbc.SnowflakeBasicDataSource
  - - net.snowflake.client.pooling.SnowflakeConnectionPoolDataSource

All Implemented Interfaces:
  Wrapper, CommonDataSource, ConnectionPoolDataSource, DataSource

    public class SnowflakeConnectionPoolDataSource
    extends SnowflakeBasicDataSource
    implements ConnectionPoolDataSource

### Constructor Summary

Constructors
Constructor and Description
`SnowflakeConnectionPoolDataSource()`

### Method Summary

All Methods Instance Methods Concrete Methods
`PooledConnection` `getPooledConnection()`
`PooledConnection` `getPooledConnection(String user, String password)`

### Methods inherited from class net.snowflake.client.jdbc.SnowflakeBasicDataSource

`getConnection, getConnection, getLoginTimeout, getLogWriter, getParentLogger, getUrl, isWrapperFor, setAccount, setAuthenticator, setDatabaseName, setLoginTimeout, setLogWriter, setPassword, setPortNumber, setPrivateKey, setRole, setSchema, setServerName, setSsl, setUrl, setUser, setWarehouse, unwrap`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface javax.sql.CommonDataSource

`getLoginTimeout, getLogWriter, getParentLogger, setLoginTimeout, setLogWriter`

### Constructor Detail

#### SnowflakeConnectionPoolDataSource

    public SnowflakeConnectionPoolDataSource()

### Method Detail

#### getPooledConnection

    public PooledConnection getPooledConnection()
                                         throws SQLException

Specified by:
  `getPooledConnection` in interface `ConnectionPoolDataSource`
Throws:
  `SQLException`

#### getPooledConnection

    public PooledConnection getPooledConnection(String user,
                                                String password)
                                         throws SQLException

Specified by:
  `getPooledConnection` in interface `ConnectionPoolDataSource`
Throws:
  `SQLException`